Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
v1
/
events
/
configuration
Get Event Configuration
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/v1/events/configuration \
  --header 'Authorization: <api-key>'
{
  "fields": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "type": "object",
    "properties": {
      "eventType": {
        "type": "string",
        "title": "eventType"
      },
      "eventCoverageType": {
        "type": "string",
        "title": "eventCoverageType"
      },
      "eventInsureds": {
        "type": "object",
        "title": "eventInsureds"
      },
      "lossDescription": {
        "type": "string",
        "title": "lossDescription"
      },
      "lossDate": {
        "type": "string",
        "title": "lossDate"
      }
    },
    "required": [
      "eventType",
      "eventCoverageType",
      "eventInsureds"
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your key in the Authorization header: Authorization: ApiKey YOUR-API-KEY

Path Parameters

companyId
string<uuid>
required

Company identifier

Response

Configuration for event fields

Configuration response for Field Model V1 events. Returns a JSON Schema describing the fields available for creating or updating events.

fields
object
required

JSON Schema (draft 2020-12) describing the valid fields for the event request body. Each property corresponds to a field referenceId in the company's configuration.